# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "nna"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "NNA(Natural Number Array), A creative unsigned big integer."
readme = "readme/zh-cn.md"
license = "MIT"
repository = "https://gitcode.com/OrangeSnake/nna.git"

[lib]
name = "nna"
path = "src/lib.rs"

[dependencies.cc-traits]
version = "2.0.0"

[dependencies.num-traits]
version = "0.2.19"

[target.x86_64-unknown-linux-gnu]

[profile.dev]
debug = 2
split-debuginfo = "off"

[profile.dev.package."*"]
debug = 1
